cURL
curl --request POST \ --url https://api.anysite.io/api/youtube/video \ --header 'Content-Type: application/json' \ --header 'access-token: <api-key>' \ --data ' { "video": "<string>", "timeout": 300 } '
[ { "id": "<string>", "url": "<string>", "@type": "YoutubeVideo", "title": "<string>", "description": "<string>", "author": { "id": "<string>", "alias": "<string>", "@type": "YoutubeVideoAuthor", "name": "<string>", "url": "<string>" }, "duration_seconds": 123, "view_count": 123, "subtitles": { "text": "<string>", "subtitle_count": 123, "language": "<string>", "@type": "YoutubeSubtitle", "subtitles": [] } } ]
Get YouTube video details
YouTube video ID or URL (e.g., 'dQw4w9WgXcQ' or 'https://www.youtube.com/watch?v=dQw4w9WgXcQ')
"dQw4w9WgXcQ"
"https://www.youtube.com/watch?v=dQw4w9WgXcQ"
Max scrapping execution timeout (in seconds)
20 <= x <= 1500
Successful Response
Show child attributes